## org.apache.lucene.analysis.cn
Class ChineseTokenizerFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenizerFactory
              org.apache.lucene.analysis.cn.ChineseTokenizerFactory

Deprecated. Use `StandardTokenizerFactory` instead.

    @Deprecated
    public class ChineseTokenizerFactory

extends TokenizerFactory

Factory for `ChineseTokenizer`

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`args, luceneMatchVersion`

Constructor Summary
`ChineseTokenizerFactory()` Deprecated.

Method Summary
`ChineseTokenizer` `create(Reader in)` Deprecated. Creates a TokenStream of the specified input

Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory
`availableTokenizers, forName, lookupClass, reloadTokenizers`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, init, setLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChineseTokenizerFactory

    public ChineseTokenizerFactory()

  Deprecated.

Method Detail

### create

    public ChineseTokenizer create(Reader in)

  Deprecated.
  Description copied from class: `TokenizerFactory`
  Creates a TokenStream of the specified input

  Specified by:
    `create` in class `TokenizerFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.